Bug Hunting Session
Bug 57445 - : Hinting doesn't match Xft settings (when GNOME or KDE is not used)
Summary: : Hinting doesn't match Xft settings (when GNOME or KDE is not used)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.6.3.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Font-Rendering
  Show dependency treegraph
 
Reported: 2012-11-23 08:01 UTC by uls6502
Modified: 2018-06-04 21:09 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description uls6502 2012-11-23 08:01:22 UTC
Problem description: 

Steps to reproduce:
1. Log into a clean Openbox session

2. Write the following into .Xresources:

Xft.rgba: none
Xft.dpi: 96
Xft.antialias: true
Xft.hinting: true
Xft.hintstyle: hintfull
Xft.lcdfilter: lcddefault

and launch "xrdb -merge .Xresources" from the terminal.

3. Run LibreOffice.

Current behavior:

The fonts will not be hinted at all.

Expected behavior:

The fonts should be hinted fully, as specified in the rest of software that uses Xft (GTK+ and Qt software does so).

Platform (if different from the browser): 

Debian wheezy amd64
Comment 1 Michael Meeks 2013-12-12 16:20:53 UTC
Patches most welcome - not using either the gtk+ or qt integration is a high-road to using under-tested & maintained code. In particular I'd recommend you use the gtk+ frontend. At some stage we ought to deprecate the raw-x thing - but it's quite useful for testing currently - and it is shared by gtk2/kde3/kde4/tde backends I guess.
Comment 2 Robinson Tryon (qubit) 2014-02-03 15:18:24 UTC
(In reply to comment #1)
> Patches most welcome - not using either the gtk+ or qt integration is a
> high-road to using under-tested & maintained code. In particular I'd
> recommend you use the gtk+ frontend. At some stage we ought to deprecate the
> raw-x thing - but it's quite useful for testing currently - and it is shared
> by gtk2/kde3/kde4/tde backends I guess.

Whiteboard: (Removing NeedAdvice)
Comment 3 Joel Madero 2015-05-02 15:41:04 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2016-09-20 09:36:54 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920